let theme = getCookie("theme");
let reverseposts = getCookie("reversepost");

if (theme === null) {
	theme = "dark";
}

sortImage = '';

if (reverseposts == "true") {
	sortImage = "fas fa-sort-numeric-up";
} else {
	sortImage = "fas fa-sort-numeric-down";
}

document.getElementById('sortimage').setAttribute('class',sortImage);

switch(theme) {
	case "dark":
		document.getElementById('pagestyle').setAttribute('href','./css/dark.css?nocache=1');
		document.getElementById('thetopnavbar').setAttribute('class','navbar navbar-expand-md navbar-dark nav-bk-1');
		document.getElementById('toplogo').setAttribute('src','./favicons/qwhiteanim.gif');
		break;
	case "light":
		document.getElementById('pagestyle').setAttribute('href','./css/light.css?nocache=1');
		document.getElementById('thetopnavbar').setAttribute('class','navbar navbar-expand-md navbar-light nav-bk-1');
		document.getElementById('toplogo').setAttribute('src','./favicons/qblackanim.gif');
		break;
	case "news":
		document.getElementById('pagestyle').setAttribute('href','./css/news.css?nocache=1');
		document.getElementById('thetopnavbar').setAttribute('class','navbar navbar-expand-md navbar-light nav-bk-1');
		document.getElementById('toplogo').setAttribute('src','./favicons/qblackanim.gif');
		break;
	case "news dark":
		document.getElementById('pagestyle').setAttribute('href','./css/newsdark.css?nocache=1');
		document.getElementById('thetopnavbar').setAttribute('class','navbar navbar-expand-md navbar-dark nav-bk-1');
		document.getElementById('toplogo').setAttribute('src','./favicons/qwhiteanim.gif');
		break;
	default:
		document.getElementById('pagestyle').setAttribute('href','./css/dark.css?nocache=1');
		document.getElementById('thetopnavbar').setAttribute('class','navbar navbar-expand-md navbar-dark nav-bk-1');
		document.getElementById('toplogo').setAttribute('src','./favicons/qwhiteanim.gif');
}

let tharr = ["dark","light","news","news dark"];

let th1 = [];
for (zi = 0; zi < tharr.length; zi++) {
	if (tharr[zi] == theme) {
		th1.push('<option value="'+tharr[zi]+'" label="'+tharr[zi]+'" selected>'+tharr[zi]+'</option>');
	} else {
		th1.push('<option value="'+tharr[zi]+'" label="'+tharr[zi]+'">'+tharr[zi]+'</option>');
	}
}
document.getElementById('thse1').innerHTML = th1.join();


document.getElementsByTagName('select')[0].onchange = function() { 
	let cval = document.getElementById('thse1');
	writeCookie('theme',cval.value);
	switch(cval.value) {
		case "dark":
			document.getElementById('pagestyle').setAttribute('href','./css/dark.css?nocache=1');
			document.getElementById('thetopnavbar').setAttribute('class','navbar navbar-expand-md navbar-dark nav-bk-1');
			document.getElementById('toplogo').setAttribute('src','./favicons/qwhiteanim.gif');
			break;
		case "light":
			document.getElementById('pagestyle').setAttribute('href','./css/light.css?nocache=1');
			document.getElementById('thetopnavbar').setAttribute('class','navbar navbar-expand-md navbar-light nav-bk-1');
			document.getElementById('toplogo').setAttribute('src','./favicons/qblackanim.gif');
			break;
		case "news":
			document.getElementById('pagestyle').setAttribute('href','./css/news.css?nocache=1');
			document.getElementById('thetopnavbar').setAttribute('class','navbar navbar-expand-md navbar-light nav-bk-1');
			document.getElementById('toplogo').setAttribute('src','./favicons/qblackanim.gif');
			break;
		case "news dark":
			document.getElementById('pagestyle').setAttribute('href','./css/newsdark.css?nocache=1');
			document.getElementById('thetopnavbar').setAttribute('class','navbar navbar-expand-md navbar-dark nav-bk-1');
			document.getElementById('toplogo').setAttribute('src','./favicons/qwhiteanim.gif');
			break;
		default:
			document.getElementById('pagestyle').setAttribute('href','./css/dark.css?nocache=1');
			document.getElementById('thetopnavbar').setAttribute('class','navbar navbar-expand-md navbar-dark nav-bk-1');
			document.getElementById('toplogo').setAttribute('src','./favicons/qwhiteanim.gif');
	}
}
